<template>
  <div class="form-check">
    <b-form-checkbox
      class="form-check-input"
      type="checkbox"
      v-bind:checked="checked"
      :name="id"
      :id="id"
      @change="emit"
    >
      {{ label }}
    </b-form-checkbox>
  </div>
</template>

<script>
export default {
  name: "FilterCheckbox",
  props: {
    id: String,
    label: String,
    checked: Boolean
  },
  methods: {
    emit(checked) {
      const state = {
        id: this.id,
        checked
      };
      this.$emit("update", state);
    }
  }
};
</script>
